import React from 'react';
import { Badge, Box, Header, Text as TextComponent } from '../../index.js';
import StoryWrapper from '../../utils/story-wrapper.js';
export let BadgeVariant;
(function (BadgeVariant) {
  BadgeVariant["Default"] = "default";
  BadgeVariant["Primary"] = "primary";
  BadgeVariant["Danger"] = "danger";
  BadgeVariant["Success"] = "success";
  BadgeVariant["Info"] = "info";
  BadgeVariant["Secondary"] = "secondary";
})(BadgeVariant || (BadgeVariant = {}));
export let BadgeSize;
(function (BadgeSize) {
  BadgeSize["Small"] = "sm";
  BadgeSize["Default"] = "default";
  BadgeSize["Large"] = "lg";
})(BadgeSize || (BadgeSize = {}));
export const Default = props => /*#__PURE__*/React.createElement(Badge, props, "Badge example");
export const Examples = () => /*#__PURE__*/React.createElement(Box, {
  width: 1
}, /*#__PURE__*/React.createElement(StoryWrapper, {
  label: "Badge regular"
}, Object.values(BadgeVariant).map(variant => /*#__PURE__*/React.createElement(Badge, {
  variant: variant,
  key: variant,
  mr: "default"
}, variant))), /*#__PURE__*/React.createElement(StoryWrapper, {
  label: "Badge outlined"
}, Object.values(BadgeVariant).map(variant => /*#__PURE__*/React.createElement(Badge, {
  variant: variant,
  key: variant,
  mr: "default",
  outline: true
}, variant))), /*#__PURE__*/React.createElement(StoryWrapper, {
  label: "Badge sizes"
}, Object.values(BadgeSize).map(size => /*#__PURE__*/React.createElement(Badge, {
  variant: "primary",
  size: size,
  key: size,
  mr: "default"
}, size))), /*#__PURE__*/React.createElement(StoryWrapper, {
  label: "With other elements"
}, /*#__PURE__*/React.createElement(Header.H1, null, "H1. Header", /*#__PURE__*/React.createElement(Badge, {
  ml: "default"
}, "Badge")), /*#__PURE__*/React.createElement(Header.H2, null, "H1. Header", /*#__PURE__*/React.createElement(Badge, {
  ml: "default",
  size: "sm",
  variant: "primary"
}, "Small badge")), /*#__PURE__*/React.createElement(TextComponent, {
  mt: "xxl"
}, "Inside text", /*#__PURE__*/React.createElement(Badge, {
  mx: "default"
}, "Is something"))));
export default {
  title: 'DesignSystem/Atoms/Badge',
  component: Badge,
  parameters: {
    controls: {
      include: ['variant', 'size', 'outline']
    }
  },
  argTypes: {
    variant: {
      defaultValue: BadgeVariant.Primary,
      options: Object.values(BadgeVariant),
      control: {
        type: 'select'
      }
    },
    size: {
      defaultValue: BadgeSize.Default,
      options: Object.values(BadgeSize),
      control: {
        type: 'select'
      }
    },
    outline: {
      defaultValue: false,
      control: {
        type: 'boolean'
      }
    }
  }
};